# Inventory

Item Inventory OnHand information.

## Gets all Inventory

 - [POST /inventory](https://developer.yellowdogsoftware.com/rest/fetch/api/inventory/post-track-inventory.md): This endpoint is recommended for any frequent polling of item onhands. Although the GET 
 Items endpoint includes a stores onhand value, the onhand value being changed does not 
 trigger an update of the rowUpdated for that endpoint.
 
 This endpoint uses pagination to limit the amount of items that are returned in a response. 
 The use of these values is similar to how the query string pagination works in other endpoints, 
 however these are a component of the response body. 
 
 Note: As they do not use a query string for pagination, the pagination headers used in other 
 endpoints will not work for this. Recommended use case is to pull at a known pageSize and stop 
 when the returned item array is less than the requested pageSize.
 
 ### Example Request Body for Common Usage Scenarios
 
 #### Get an Item's onhand in a particular Store
 json
	{
     "pageNumber": 1,
     "pageSize": 100,
     "stores": [
 			":storeId"
     ],
     "items": [
 			":itemId"
     ]
 }	
 
 
 #### Get an Stores Onhands updated since a certain date
 
 json
	{
     "pageNumber": 1,
     "pageSize": 100,
     "stores": [
 			":storeId"
     ],
     "rowUpdated": "2024-05-24"
 
 }	
 
 
 #### Get all Current onhands for all Stores and Items based on the last pulled date
 
 json
	{
     "pageNumber": 1,
     "pageSize": 100,
     "lastUpdated": "2024-03-05T06:06:58.529Z"
 }	
 
 
 or
 
 json
	{
     "pageNumber": 1,
     "pageSize": 100,
     "lastUpdated": "2024-03-05T06:06:58.529-05:00"
 }	
 
 
 or 
 json
	{
     "pageNumber": 1,
     "pageSize": 100,
     "lastUpdated": "2020-05-29 00:00:00"
 }	
 
 
 
 #### Get the Current onhand for a particular Item across all Stores.
 
 json
 {
    "pageNumber": 1,
    "pageSize": 100,
    "items": [
      ":itemId"
    ]
}

